Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006101 [JEDI VCL] 00 JVCL Components minor always 2013-03-10 19:34 2015-09-14 13:20
Reporter alquimista View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006101: JvTracker not update OnChange when you move the cursor keys
Description JvTracker not update OnChange when you move the cursor keys.

Resolved by adding this line --> DoChangedValue(FValue); tried!!
or UpdatePosition??

procedure TJvTracker.CNKeyDown(var Message: TWMKeyDown);
begin
  case Message.CharCode of
    VK_LEFT, VK_UP:
      Value := Value - FStep;
    VK_RIGHT, VK_DOWN:
      Value := Value + FStep;
  end;
  DoChangedValue(FValue); // ********************
end;
Additional Information
Tags No tags attached.
Attached Files ? file icon JvTracker.pas [^] (26,618 bytes) 2013-03-10 19:34

- Relationships

-  Notes
(0020509)
AHUser (developer)
2013-05-25 15:49

Fixed in svn revision 13522.

- Issue History
Date Modified Username Field Change
2013-03-10 19:34 alquimista New Issue
2013-03-10 19:34 alquimista File Added: JvTracker.pas
2013-03-10 19:35 alquimista Issue Monitored: alquimista
2013-03-10 19:35 alquimista Issue End Monitor: alquimista
2013-05-25 15:49 AHUser Note Added: 0020509
2013-05-25 15:49 AHUser Status new => resolved
2013-05-25 15:49 AHUser Fixed in Version => Daily / SVN
2013-05-25 15:49 AHUser Resolution open => fixed
2013-05-25 15:49 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker